Lazygal 0.11 (2025-05-02)
  * lint python
  * make thumbnail gen more robust
  * mediautils: remove duplicated code

Lazygal 0.10.11 (2025-02-28)
  * set version to 0.10.11
  * fix failure with PNG indexed images (Debian Closes: #1092599)
  * update GExiv2 link in README (Fix #19)

Lazygal 0.10.10 (2024-07-29)
  * set version to 0.10.10
  * fix TypeError on py3.12 distutils.spawn() (Debian #1077438)
  * fix crash on badly encoded iptc keyword (Debian #1008965)

Lazygal 0.10.9 (2024-01-31)
  * set version to 0.10.9
  * fix invalid escape sequences with py312 (Debian Closes: #1061807)

Lazygal 0.10.8 (2023-11-12)
  * set version to 0.10.8
  * fix transcoder video filter add
  * do not ignore ffmpeg return code
  * handle N/A as time_pos in ffmpeg > 6.1 output (Debian Closes: #1055818)
  * fixup GExiv2 deprecations
  * add missing cmdline module

Lazygal 0.10.7 (2023-07-09)
  * set version to 0.10.7
  * Pillow Image.ANTIALIAS is deprecated

Lazygal 0.10.6 (2023-06-20)
  * set version to 0.10.6
  * fix UnicodeDecodeError on garbage in LensName
  * reset counts in pindex (Github Fixes #17)
  * reset subgal info in pindex to avoid duplicates
  * do not fail on broken pic
  * make generated mp4 more compatible with browsers
  * handle more video formats (thanks Björn)

Lazygal 0.10.5 (2022-03-05)
  * set version to 0.10.5
  * ignore debian tags in git version check

Lazygal 0.10.4 (2022-03-05)
  * set version to 0.10.4
  * switch to setuptools
  * make snapshot version compliant with pep440
  * document that lazygal follows dir symlinks (github Fixes #15)
  * inverted theme: fix keyboard shortcuts (thanks Didier Rochet for reporting)

Lazygal 0.10.3 (2021-11-08)
  * set version to 0.10.3
  * avoid duplication of date vars in templates
  * prevent 'None' comment showing up in templates
  * fix metadata not showing in templates
  * remove print_function import (deprecated with py3)
  * fix crash when webalbum-bg != transparent with recent pillow (Github #12)
  * fix crash on second gen when publish-metadata=No

Lazygal 0.10.2 (2021-02-07)
  * set version to 0.10.2
  * man page typo: --excludes instead of --exclude
  * fix processing pngs with alpha channel
  * don't stop processing on unknown default style
  * improve --image-size doc (Thanks Gurvan Huiban for the suggestion)
  * fix manpage-has-bad-whatis-entry

Lazygal 0.10.1 (2020-10-14)
  * set version to 0.10.1
  * update TODO
  * update fr translation
  * add test for 0x0 size definition
  * fix RuntimeError when input pic does not need resize (Github #9)
  * fix crash with zero-sized pics in source_dir
  * be more specific when catching metadata load errors
  * fix failure to load metadata from new file in existing dir
  * ignore fffprobe stderr (libgcrypt insecure memory warning)
  * ignore exiv2 returning 'binary comment' (Github Fixes #8)
  * skip video tests when not HAVE_VIDEO (Github Fixes #7)

Lazygal 0.10 (2020-08-27)
  * set version to 0.10
  * drop pyexiv2 alternate dependency (deprecated)
  * prevent addition of dep twice
  * rebuild on conf file update
  * cache media metadata in persistent index
  * fix tests not quiet
  * use stdlib iso8601 parsing function
  * check more things in test_second_build
  * allow more date formats in video metadata
  * fix crash on bad chars in ffmpeg stdout
  * make it possible to enable debug logging in the test suite
  * make readme suit gihut markdown
  * improve video transcoding quality
  * enable hwaccel in ffmpeg playback if available
  * make it easier to modify ffmpeg command line in subclasses
  * document test suite usage
  * fix tag filtering test: dir won't be generated if all pics don't have tag
  * tests: use assertFalse instead of assert not to get FAILURE instead of ERROR
  * refactor genmedia and rename ResizedImage to ResizedMedia
  * remove gps from persistent index if not wanted
  * load datetime objects from persistent index
  * test that md is not published in persistent index when wanted
  * ensure no crash if silent video (Github Fixes #1)
  * typos
  * ensure ffmpeg overwrites exsinting files in case of update
  * test video metadata
  * try to harmonize how media metadata is accessed
  * use ffmpeg instead of gst
  * properly use py3 super()
  * update TODO
  * refresh translations
  * Minor typo "dl_asset" (github Fixes #5)
  * drop py2
  * sample_album: allow easy second run

Lazygal 0.9.4 (2020-05-18)
  * set version to 0.9.4
  * add command to generate sample album
  * do not transcode mp4
  * add distutils commands description
  * remove usage of deprecated cElementTree (Fedora #1817673)
  * add Fedora jquery path to themes
  * accept simpler size defs in json config and improve documentation
  * remove progress when printing error message
  * [fr] fix spelling
  * build manpages using pandoc
  * fix lazygaltest.test_gendeps tests
  * remove useless var
  * new --no-video option
  * spelling in manpage
  * center and properly size videos in default theme
  * themes: enable external assets and downloading theme with setup.py
  * remove timestamp comparison in test_metadata
  * focal length: fix failure when one md field is not there
  * also include video thumbs in album picture
  * show GPS data from EXIF
  * focal length: do not add 35mm equivalent if it's the same
  * fix test_gen_metadata when source dir contrains _ (thanks Dominik Mierzejewski)
  * url_quote according to RFC 3986 (thanks Dominik Mierzejewski)
  * fix left/right/up keys not working
  * migrate to github bug tracker
  * output to stout and not stderr
  * print only filename for PRESERVE logging output
  * number paginated indexes from 1
  * fix launching lazygal from another dir when in source
  * make --clean-destination preserve .htaccess files as default

Lazygal 0.9.3 (2018-10-10)
  * set version to 0.9.3
  * better wording for the directory 'shared' in docs
  * fixup! fix crash on rebuild with --dir-flattening-depth (Debian Closes: #902764)
  * fix crash on rebuild with --dir-flattening-depth (Debian Closes: #902764)
  * improve --default-style doc
  * update SCM ignore file

Lazygal 0.9.2 (2018-05-04)
  * set version to 0.9.2
  * switch to git and update homepage
  * hint at pkg to install regarding missing python overrides
  * Danish translation - da_DK to da
  * fix original_link empty in singlepage theme
  * add missing jquery in singlepage theme
  * fix spelling errors in manpages (reported by lintian)

Lazygal 0.9.1 (2016-11-16)
  * set version to 0.9.1
  * update fr translation
  * refresh translations
  * update pot files list
  * test metadata gen
  * py3: fix file metadata gen regarding non-ascii chars
  * album picture in metadata is expected to be a relative path
  * py3 compatibility of Matew metadata
  * better testing of file metadata
  * remove debugging statements
  * fix getting last hg rev
  * fix unit tests related to conf syntax adaptation
  * fix unpredictible default size name in config
  * ensure task progress is removed in output even if transcoding fails
  * make some gst components private
  * raise number of seconds to consider pipeline stalled
  * better handling of progress=None
  * GObject.GError is deprecated
  * fix bad author tag decoding test (closes #24)
  * fix tests failing because default theme has been renamed (closes #25)

Lazygal 0.9 (2016-11-01)
  * set version to 0.9
  * make default theme selection programatic
  * add test vid in sdist
  * fix getting last tag from hg to get version
  * rename default theme as nojs
  * warn of no video support only if videos are found
  * silence some debug messages (Debian Closes: #836697)
  * Fix crash if video deps are not installed (#21)
  * fix crash when using -z
  * introduce tags of interest for JSON metadata
  * no need to build sample albums for testing conf
  * fix video path when subgal is included in parent page
  * py3: map is lazy, fix syntax
  * correctly report progress upon video transcoding abort
  * correctly report progress upon skipped media
  * build a JSON index for each webgal
  * gst: avoid failure when Gst.init has not been called yet
  * gi bindings: require version as advised by gi lib
  * Fix #19 JSON config file in album source not loaded
  * update defaults conf reference to use new JSON filename
  * fix html template vars wrongly escaped regression
  * fix typo in JSON conf example
  * fail if given an unknown default-style
  * author bad encoding: do not fail with pythn3 and GExiv2 < 0.10.3
  * fix failure to generate exif sorted gallery (Debian Closes: #794899)
  * fix exif date time tag names
  * handle failure to copy metadata tag
  * video transcoding: do not crash when media_duration is not known yet
  * fix conf backward compat with python2
  * fix root config file values being overriden by defaults
  * spawn hg instead of using mercurial python api for guessing dev revision
  * configparser.readfp() is deprecated in python > 3.2
  * remove existing symlinks when switching from --orig-symlink to -O
  * Fix #18 warn if python-gst-1.0 overrides are not installed
  * Fix #17 and make setup.py install the new default conf file
  * make python3 the default
  * inverted theme: do not distort images (Debian #782376)
  * merge fix for #16
  * rename TranscodeError to VideoError (end Fix #16)
  * add a unittest to basically test video generation
  * GObject.thread_init() is deprecated, remove
  * support a new JSON configuration file format
  * unittests: improve failing message
  * sort webgal only after filtered medias have been filtered out
  * load tagfilters only once
  * fix unit test regarding album_picture being relative
  * ensure obeying to umask setting (Debian Closes: #776195) This patch fixes a bug only when files are copied (original, shared)
  * cache media size probing
  * py3: correctly decode metadata tags
  * ensure album_picture parameter is always relative That's what the doc says.
  * migrate RSS20 class to new style classes
  * correctly close open file descriptors
  * make it easier to understand why a video thumbnail is not generated
  * don't check twice if size is 'original'
  * remove erroneous leading comma in progress message
  * fix exception when run on empty dir (Debian Closes: #776198)
  * simplify excludes implementation (and unbreak test suite)
  * fix broken line continuations
  * add '--preserve PATTERN', to prevent removal of files/directories a previously released change to --clean-destination caused lazygal to start removing unknown directories, as well as files, in the destination directory.  thus there is no longer a way to protect files which should be kept.
  * add '--exclude PATTERN', to allow ignoring some files/directories this lets one build a list of paths (via filename pattern matching) which will be ignored during gallery processing.  this replaces the former internal SKIPPED_DIRS mechanism, and makes it user-extensible.
  * numeric sort option: optimizations - avoid code duplication - do not match re twice
  * manpage reformating regarding new numeric sort option
  * add 'numeric' sort criteria for media and galleries this option lets filenames like "img_3.jpg", "img_10.jpg" sort correctly.  it can also be used for gallery names, like "9-Ninth_Gallery" and "10-Tenth_Gallery", which would sort incorrectly by name alone.
  * update italian translation
  * merge version
  * py3: fix symlink directory cleanup after generation
  * test out of tree symlinks and cleanup
  * minor indent fix

Lazygal 0.8.8 (2014-10-22)
  * set version to 0.8.8
  * silence gobject assertions errors at startup
  * fix pipelines in comments and use gst1
  * port to gst1 (additional correction)
  * fix CTRL+C not working after a video has been transcoded

Lazygal 0.8.7 (2014-09-30)
  * set version to 0.8.7
  * fix double decode in python3
  * remove useless test import
  * document Gst deps
  * correctly use video inspector
  * port to gst1

Lazygal 0.8.6 (2014-09-15)
  * set version to 0.8.6
  * fix error when running without GObject

Lazygal 0.8.5 (2014-09-07)
  * set version to 0.8.5
  * warn if video support is disabled
  * correctly workaround gst messing with sys.argv when import gst fails
  * correctly ignore EXIF user comment when value is only '\n'
  * copy-metadata tool: also copy XMP and IPTC tags
  * improve usage of ZipFile stdlib interface
  * py3: fix empty gallery archive when using python3
  * improve bad command line user message
  * new style sidebnw for default theme
  * fix date output in templates when using non-ascii chars
  * fix test_exif_date in python3 and add summer DST test case
  * drop unittest.skipIf() wrapper as python < 2.7 is not supported anymore
  * support python3
  * py3: str is unicode in python3
  * py3: map(), dist_keys and others are lazy
  * py3: strftime now supports unicode, and rather use stdlib datetime
  * make videoenc threads property equal to CPU count only for vp8enc
  * Make video encoding multi-threaded (pull request #15)
  * do not check for BOM in utf-8 files as it is not recommanded to use it
  * py3: imports are really relative
  * py3: writing utf-8 must be done in binary mode
  * py3: remove useless sorter methods
  * py3: types.ClassType is gone
  * py3: sorter is really gone and really replaced by sort key
  * py3: urllib.parse is now urlparse
  * py3: octal notation must be explicit
  * fix typo that prevented subgal count to be displayed in RSS feed
  * py3: iter() is gone
  * py3: sorter is gone and replaced by sort key
  * py3: __unicode__() is really gone
  * py3: relative imports
  * py3: __unicode__() is gone
  * py3: file() object is gone
  * py3: configparser module name is lowercase
  * py3: gettext.install dropped the unicode arg
  * py3: 'as' keyword for exceptions
  * py3: print is a function
  * correctly close file pointer when probing image size

Lazygal 0.8.4 (2014-05-11)
  * set version to 0.8.4
  * sort out url quoting
  * update it translation
  * fix semicolon not escaped in urls (Debian Closes: #745979)
  * update lazygal download link

Lazygal 0.8.3 (2014-04-07)
  * set version to 0.8.3
  * update project url
  * take more time to assess if a pipeline is stalled
  * do not format log messages if debugging is not enabled
  * improve dep debugging

Lazygal 0.8.2 (2014-02-19)
  * set version to 0.8.2
  * inverted theme: fix plugins.tjs genshi text template syntax
  * make test_clean_empty_dirs pass (thanks damien_courouss!)
  * test debugging material cleanup
  * ensure is_subdir_of processes an absolute path and add inifinite loop guard
  * use abspath for tpl_dir to prevent inifinite loop in is_subdir_of()
  * add test_clean_empty_dirs, supporting rev 921
  * Fix #12 remove minified js
  * revert "do not skip generation of empty directories to allow deletion"
  * dest file cleanup: protect deletion with assertion of context directory
  * Update Czech locale
  * Update po files
  * test_cleanup: remove debugging and useless statements
  * test_cleanup: put a file in dir to be removed
  * fix test_cleanup: configure album in constructor
  * Merged in damien_courouss/lazygal/delete_subdirs (pull request #12)
  * add test_cleanup (is NOK)
  * test_cleanup is now test_foreign_files
  * do not skip generation of empty directories to allow deletion
  * fix: clean empty directories at destination
  * if clean-destination, delete directories instead of advising
  * improve a bit shared files dest processing
  * add missing dot in manpage
  * introduce basic theme manifest in order to include shared files from other dirs
  * do not link to non-existent subgals when using filter-by-tag
  * Fix #11 do not generate empty dirs with filter-by-tag
  * minor fix in the man page
  * improve readability of test_filter_by_tag and test_filter_and_dirzip
  * fix test test_filter_by_tag and add a test case
  * report transcoding progress
  * minor fix in the manpage
  * new config option video-size + no video scaling or transcoding if not needed

Lazygal 0.8.1 (2013-10-30)
  * set version to 0.8.1
  * update translation template
  * update fr translation
  * make keywords available in image pages
  * decode utf-8 keywords
  * hide exiv2 warnings in normal operation
  * clear progress info upon exit
  * Fix #7 handle video size error
  * make dirzip honor filter-by-tag filters
  * fix subgal count when filter-by-tag is used
  * Fix #4 make filter-by-tag= work in sub dirs
  * manpage whitespace fixes
  * document how pic comments are loaded
  * Fix #5 prevent broken img symlinks from crashing lazygal
  * actually stop stalled pipeline
  * handle query error which may happen when monitoring the gst pipeline
  * monitor if pipeline is stalled while transcoding
  * Fixed typo in man page
  * update README
  * translate new string in french translation

Lazygal 0.8 (2013-05-28)
  * set version to 0.8
  * update translation template and french translation
  * add dummy set_log_level method to fix pyexiv2 support
  * Fix #3 useless warnings while running test suite
  * add a fallback to pyexiv2 if GExiv2 is not available
  * bring back metadata processing fixes forgotten in the merge request
  * test that empty directories are not created on destination
  * do not push empty dirs
  * get_date: bypass ValueError exceptions
  * minor improvements in tests filter_by_tag and filter_and_zipdir
  * Fix bad merge from upstream
  * Merge from upstream
  * handle KeyError for metadata keywords
  * improve None JPEG comment case handling
  * do not try to decode unicode usercomment
  * handle KeyError in vendor codes
  * fix filter_by_tag and dirzip test
  * more usage of assertTrue in tests
  * remove debugging statements
  * use assertTrue and assertFalse in filter_by_tag tests
  * remove extra newline
  * only check tagfilters on pics (not on videos)
  * remove trailing whitespace
  * Merged in damien_courouss/lazygal (pull request #8)
  * merge from the upstream repo
  * tests for filter-by-tag
  * Extend keyword support for filter-by-tag
  * inverted theme: remove all `div` from css
  * inverted theme: css fixes
  * inverted theme: hide image caption div if nothing to show
  * inverted theme: small fix
  * indicate template can use image metadata
  * inverted theme: Track original image clicks if google analytics is set
  * inverted theme: use genshi NewTextTemplate syntax also in JS
  * inverted theme: display social icons
  * use gst.discoverer return code to prevent lazygal failure
  * fix video src path in video tag
  * do not fail if all medias are filtered out
  * make config list helpers available to other vars
  * tag filtering: add support for regexes and for combination of several filters
  * fix tagfilter empty value check
  * fix spelling in comment
  * add --filter-by-tag cmdline help
  * fix default conf file syntax for filter-by-tag
  * fix #1 ./setup.py build_manpages command
  * default value for filter-by-tag in the conf file
  * describe --filter-by-tag in manpages
  * merge from niol
  * fixing the previous commit that was incomplete
  * more GExiv2 API cleanup fallout
  * add an option 'filter-by-tag'
  * minor fix: missing semicolons in the default theme
  * handle gexiv2 API cleanup
  * do not overwrite generated media in mediautils test code
  * make the console output give some basic progress info
  * make some quick album stats available
  * use pathutils walk()
  * update pathutils with walk() and decoding error handling
  * merge migration to GExiv2
  * fix last PIL import
  * document GEXiv2 dep
  * restore test cases forgotten in gexiv2 patch
  * improve SHARED_ files documentation
  * merge GExviv2 porting patch
  * put README change in MANIFEST
  * update TODO
  * use markdown readme
  * single page themes support
  * make flattening basic unit test actually test something
  * use genshi NewTextTemplate syntax and convert themes CSS templates
  * fix indentation error
  * do not crash on bad encoding of EXIF flash info
  * do not crash on bad encoding of EXIF Artist
  * rename config option global/destdir to global/output-directory for consistency
  * Port from pyexiv2 to GExiv2.
  * fix typo in man page
  * fix broken --subgal-sort-by=exif
  * add help hint of exif option for --subgal-sort-by
  * fix: pep8 E121 continuation line indentation is not a multiple of four
  * fix: pep8 E126 continuation line over-indented for hanging indent
  * fix: pep8 E128 continuation line under-indented for visual indent
  * fix: pep8 E122 continuation line missing indentation or outdented
  * Fix: pep8 E124 closing bracket does not match visual indentation
  * Fix: pep8 E123 closing bracket does not match indentation of opening bracket's line
  * Fix: pep E127 continuation line over-indented for visual indent
  * Fix: pep8 E211 whitespace before '('
  * Fix: pep8 E222 multiple spaces after operator
  * Fix: pep8 E202 whitespace before ')' or ']'
  * Fix: pep8 E221 multiple spaces before operator
  * Fix: pep8 E302 expected 2 blank lines, found 0
  * Fix: pep8 E231 missing whitespace after ','
  * Fix: pep8 E301 expected 1 blank line, found 0
  * Fix: pep8 E251 no spaces around keyword / parameter equals (not in setup.py)
  * Fix: pep8 E502 the backslash is redundant between brackets
  * Fix: pep8 E261 at least two spaces before inline comment
  * Fix: pep8 E203 whitespace before ':' (not all removed)
  * Fix: pep8 E201 whitespace after '[' or '{'
  * Fix: pep8 E225 missing whitespace around operator
  * Fix: pep8 E401 multiple imports on one line
  * inverted theme: add prev next links for videos and fix key nav
  * inverted theme: small code fixes
  * inverted theme: trim whitespaces
  * inverted theme: inverted social buttons tooltips colors for dark theme
  * inverted theme: add simple theme js/css only when 'display_theme_selector = True'
  * inverted theme: remove unnecessary js code
  * inverted theme: add social buttons js only when 'display_social_buttons = True'
  * add treat *.tjs files as genshi template files
  * inverted theme: add text tooltips to share buttons
  * inverted theme: update Google Analytics code and move it to header
  * inverted theme: change share buttons order
  * inverted theme: add google bookmarks share link
  * inverted theme: fix validation errors
  * inverted theme: bump jQuery to ver 1.8.2
  * do not publish image date when publish-metdata=No
  * inverted theme: add reddit social button
  * inverted theme: fix tumblr share link
  * inverted theme: fix social buttons centering problems
  * inverted theme: strip media file extension from media page title
  * inverted theme: add TODO file
  * inverted theme: add social share buttons [template-vars]: display_social_buttons
  * fix allow boolean value in 'template-vars' options
  * inverted theme: clean template-vars, always add lazygal info
  * inverted theme: remove reference to jQuery on google CDN, use only local version (privacy leak)
  * inverted theme: fix css for '#site_title'
  * inverted theme: update jQuery to v1.8.0 and fix jQuery googleapis.com link
  * inverted theme capitalize first letter in the image page title
  * inverted theme replace "-" and "_" with " " in the image page title
  * inverted theme clicking big image move to next image
  * inverted theme update dark theme with div#media_options
  * inverted theme fix margins and style div#media_options
  * inverted theme fix duplicate id
  * inverted theme fix thumbnails margins
  * inverted theme more template vars
  * new inverted theme
  * fix generation of html index for dir with no pics (pagination enabled)
  * change 'import Image' to 'from PIL import Image'
  * update TODO
  * also force regen of shared tpls when -f is used
  * fix --thumbs-per-page when thumbs % thumbs-per-page = 0
  * fix image not centered in browse page

Lazygal 0.7.4 (2012-07-16)
  * set version to 0.7.4

Lazygal 0.7.3 (2012-06-29)
  * set version to 0.7.3
  * update TODO
  * update french translation
  * fix album picture link on win32
  * fix size probing with bad pic files
  * add --force-gen-pages
  * better handling of errors when probing size of orig pics for w/h tags in HTML
  * remove useless code in orig and symlink building classes
  * fix typo in transcode error exception code
  * fix broken generation on win32
  * fix media links on win32 when --dir-flattening-depth is changed
  * remove unnecessary newline in comment
  * fix spelling, copyright years, remove unnecessary semicolons and some PEP 8 and PEP 257 fixes
  * fix a wrong clean_output method and do some cleanups found with pyflakes
  * explain limitations of lazy mechanism
  * do not fail when using --dir-flattening-depth and a config file with other size defs
  * fix media links when using --dir-flattening-depth
  * add unit test for --subgal-sort-by
  * fix typo breaking --subgal-sort-by
  * fix %s in strftime not portable to win32
  * fr translation fix
  * fix video src= link (and related cleanups)
  * fix mediautils cmdline qnd test code
  * use our own datetime simple implementation to work around limitations of std lib
  * make more weblbumpic types easier to add in the future
  * update TODO
  * ensure time difference in mtime compare unit test
  * allow to keep GPS tags
  * fix test suite failure when running with the C locale
  * prevent original videos conflicting with resized videos
  * introduce --webalbum-pic-type
  * remove useless p containing medias in tpls
  * add header/footer in new module
  * merge date translated strings (no point translating %c)
  * make time formats customizable in templates
  * make it explicit that videos only get resized to the default size
  * resize videos while transocding

Lazygal 0.7.2 (2012-05-10)
  * set version to 0.7.2
  * make test paths unicode
  * work to move towards supporting win32 style paths
  * fix re-creation of broken symlinks
  * strip all whitespace when reading metadata files
  * fix user config tpl vars not feeded to CSS templates
  * add missing ul tag for image technical info in default theme
  * update TODO
  * do not try to search for BOM in non utf-8 encoded files
  * skip symlinks unit tests on win3é platform
  * do not mess with gettext function when testing for symlink support
  * correctly initialize locale (fix on win32 platform)
  * handle non-POSIX roots in paths
  * fix vim modeline in css
  * fix video thumbnailing handling (Debian bug #662118)
  * update TODO
  * be even more explicit in --template-vars usage
  * document how to use --template-vars
  * actually print the invalid siaze name message instead of a python traceback
  * allow non-ascii sizes names
  * fix some of the issues following os.path.relpath usage
  * use rel path function from python 2.6 instead of custom one
  * add experimental mp4 transcode pipeline code
  * remove useless while loops
  * fix fr translation format string
  * webalbumpic-bg is a simple size, not a resize rule

Lazygal 0.7.1 (2011-11-26)
  * set version to 0.7.1
  * add publish-metadata configuration option
  * quick and dirty warning on undefined tpl vars
  * add basic unit test for dirzip gen
  * do not blank dirzip var after it has been initialised
  * fix lazygal.conf(5) installation path
  * fix -z glitch

Lazygal 0.7 (2011-11-16)
  * fixup lazygal mercurial version retrieval
  * set version to 0.7
  * add config module to translatable modules
  * update fr translation
  * update TODO
  * handle missing pixel X width in EXIF for 35mm equivalent focal calculation
  * fix 35mm equivalent calculation field retrieval and fallbacks
  * add unit test for resize and rotate
  * update TODO
  * add focale_length metadata unit test
  * add config option for webalbumpic size
  * warn on unknown config options/sections
  * remove trailing whitespace in man page
  * per-directory config files support
  * fix forgotten old log api statement
  * use arg in setup_subgal() in unit tests
  * install defaults.conf
  * make album dirpics the same size as thumbs
  * fix obeying size constraints (again...) for reduced pics
  * quote some more urls
  * improve image rotation quality by using lossless rotation and by resizing after rotation
  * avoid unnecessary output if dir should be skipped
  * fix --debug and --quiet by removing deprecated code
  * get hg rev from dir state instead of tip
  * use HTML5 doctype for the video element
  * process webm files (now that we do not transcode them, see prev patch
  * fix double decode of file path in video thumbnailer
  * fix 'srcdir does not exist' error msg with non-ascii chars
  * update TODO
  * copy webm videos instead of transocding into the same format
  * fix css comment in purple style
  * do not reuse gst pipeline for media transcoding as it may raise problems
  * fix non-english locales messing up RFC822 dates in feed
  * do not forget tpl vars in conf migration script
  * remove trailing whitspace
  * shorten footer decl in default theme
  * add video arrow and localized text to prevnext links
  * remove whitespace
  * generate webm vp8 vorbis for web videos
  * tell genshi to strip xml comments from output
  * also cleanup shared files for unexpected files
  * use existing pathutils functions instead of re-implementing
  * add missing files in src dist manifest
  * add conffile migration script for new 0.7 format
  * fix purple style regarding video arrow overlay on video thumbs
  * fix video info retrieval with unicode path
  * allow destdir with ~
  * fail if parsing config file with old format
  * update TODO
  * fix typo in fr translation
  * --subgal-sort-by=exif : use mtimes only of none of the pics have exif date
  * handle exif comments with inconsistent encoding
  * move README info into manpages
  * integrate video thumbs
  * handle .png pics
  * pyexiv2 wrapper comment typo
  * sort filenames according to locale instead of ascii sort
  * fix double decode in album picture path in mathew md
  * fix media sort when webgals are split across multiple pages
  * add tests for media sort options
  * remove useless PIL import
  * fix retrieval of exif flash info
  * try to get rid of _Suspension not allowed here_ messages from PIL
  * fix tpl vars from conf file
  * fix retrieval of pentax and minolta lens types
  * default theme: simplify CSS output code
  * fix conf parsing error messages (regression following config overhaul)
  * use python std module logging instead of custom functions
  * default theme: make CSS styling easier
  * default theme: put one media in a div to ease styling
  * simplify syntax for dirindex gallery and media links
  * default theme: style enumerations with CSS instead of string generation
  * the Nexus S seems to fill up the EXIF UserComment with the field name, ignore that
  * --orig-symlink should imply --original
  * add new man page output to .hgignore
  * document config file format
  * config overhaul: fixup cmdline vs files, new cfg file format
  * man: fixup docbook-to-man xsl warnings
  * remove --optimize and --progressive which have defaulted to On for a while
  * improve --clean-destination desc in man page
  * minor fix for log indent
  * fix clean_destination from config file
  * update TODO
  * workaround Chrome rendering issue with links (underline is displayed on blanks
  * merge
  * try to ignore messed up jpeg comments
  * fix upside down pics dimensions
  * make lazygal-setcomment compatible with non-ascii filesystems
  * add python shebang to lazygal-setcomment.py
  * merge
  * do not reference feed in header if it is not generated
  * make some path utility functions more reusable and test them
  * drop the s in the distutils command used to run the testsuite

Lazygal 0.6.2 (2011-06-30)
  * set version to 0.6.2
  * update fr translation
  * update TODO
  * make whitespace in theme files consistent
  * more fixes for fr translation
  * add gallery archive size in gallery index
  * update italian translation
  * improve video utils quick and dirty test code
  * video utils: search for thumb only in first 5 minutes of video
  * add Nikon Lens info retrieval unit tests
  * fix retrieval of Nikon Lens info
  * make sure gst pipeline SIGINT check is stopped when pipeline is
  * make -O work with videos
  * fix failure when one use -O and there is a video (Debian #631181)
  * stop pipeline when thumb frame has been extracted, do not wait for EOS
  * handle SIGINT while transcoding videos
  * also transcode .3gp videos
  * remove target video when transcoding has failed
  * improve failed transocding error message
  * discard old debugging statement
  * subgal-sort-by=exif: use all pics in subdirs, not just pics directly in gallery
  * minor fr translation fixes (thanks to Jonathan Michalon)
  * print Interrupted error to stderr
  * fix broken new size fix according to rotation
  * fix failure when date tags are not recognized by pyexiv2 (Debian #630572)
  * add webm transocding utility class
  * also rotate upside down pics
  * better handling of SIGINT during task build
  * fix rotated pics EXIF Orientation tag
  * fix obeying on size constraints when images are auto rotated
  * gracefuly handle SIGINT
  * update TODO
  * make it possible to load puburl from config file
  * fix typo in manpage due to option parameter change
  * --sugbgal-sort-by=exif sort by latest EXIF in subgal
  * support for providing output dir in config file
  * rename --subgal-sort-by=filename to --subgal-sort-by=dirname which is clearer
  * fix supplying album picture by file album-picture
  * add some video utility classes: video info parser and video thumbnailer
  * add ignore file

Lazygal 0.6.1 (2011-04-28)
  * set version to 0.6.1
  * update french translation
  * updating translation template
  * credits -> author for author field
  * add exif author if present in generated web pages
  * strip spaces from jpeg comment
  * handle dict.has_key() deprecation
  * explicity use floor division
  * fix build with python2.7
  * log transcoding errors when they happen if in verbose mode
  * do not crash when pyexiv2 fails to copy metadata in reduced pictures
  * fix -O which was symlinks instead of copies
  * update italian translation
  * update fr translation
  * make sure docs are consistent regarding --dir-flattening-depth default value
  * update TODO and change log
  * follow symlinks on directories while walking dir trees
  * add example usage for pyexiv2 wrapper
  * update TODO
  * fix installation with a prefix which is not /usr (e.g. /usr/local)
  * improve description of --dir-flattening-depth in manual page
  * unfuzz translations because of typo fixes in translated strings
  * fix many typos in translated strings (many thanks to Frederico Bruni)
  * add italian translation

Lazygal 0.6 (2011-03-09)
  * add MANIFEST.in in source dist
  * set version to 0.6 and add simpler changelog
  * index pages should only depend on source dirs
  * update TODO
  * add unit tests samples to manifest
  * add setcomment script to sdist manifest
  * no translations in make.py
  * minor fix in mediautils.py test code
  * update TODO
  * some more basic unit tests for special generations
  * delete half made stuff on key interrupt
  * fix and optimize file cleanup checks
  * unit test search for files which should not be there in dest dir
  * minor fixes to generators tests
  * no need to sort feed items each time one is added
  * avoid many calls to os.path.exists()
  * avoid many calls to getmtime()
  * depend on source_dir which should be a smaller object
  * avoid useless is_known_template() call
  * rebuild dir objects in tests to ensure up to date filesystem vision
  * avoid some calls to need_build()
  * fix multiple builds of same index page This was because the break_task setups index pages and was called multiple times.
  * fix path debug output in make.py
  * improve make.py debugging output with arbitrary depth dep tree
  * fix breadcrumb relative path computation
  * hide h1 which is useless with breadcrumbs
  * add breadcrumbs on every page
  * strip space and null chars from EXIF user comments
  * fix pyexiv2 mispelling in pyexiv2api module
  * fix dir metadata which should trigger webgal rebuild when changed
  * fix parent dir which should need build when subgal has changed (subgal link)
  * fix second build which should not need build Involved some refactoring...
  * add unit test for simple file layout of dest dir
  * add dep build check unit tests
  * move EXIF user comment decoding in pyexiv2api.py This is better to get rid of it some day as it is now included in pyexiv2 0.3.
  * add debugging helpers to make.py
  * make WebalbumDir easier to instanciate (for tests)
  * fix test which required dir to exist
  * fix typo in exception msg for unknown media
  * migrate some classes into python new style classes
  * do not consider broken thumbs for picture mess However, this is early when image have not been red, so nobody knows if they are broken yet.
  * remove assertion of file existence in picture mess creation This broke when used with broken images whose thumbs were not created.
  * avoid unit test error because of rounding erratic behaviour
  * handle more pyexiv2 0.2.x copyMetadata() errros
  * ensure all supplied pics for pic mess exist as files (and fail if not) This is to distinguish the 'file not found' error, which should be fatal, from the 'broken image' error, which should be ignored.
  * fix picture mess generation for dirs with few pics
  * fix get_all_media_paths wich was wrong for paths of medias in subdirs
  * work around pyexiv2 0.1.x copyMetadata() failures (by simply ignoring the offending tag)
  * fix typo in generate_default_metadata method name
  * update some man pages and source file copyright header dates
  * add basic test for feed creation
  * do not take into account bogus zero'ed EXIF dates
  * use new pyexiv2 api wrapper in set comment script
  * fix obvious error in null comment test, condition was inversed
  * unit tests for copied metadata in resized image
  * copy image metadata in resized pics except GPS coordinates.
  * add unit tests for the different sources of comment
  * make the pyexiv2 api changes wrapper a separate module Lazygal now uses the latest pyexiv2 API but is compatible with older versions.
  * add missing hunk of 'exiv2 0.20 gives us utf-8' change
  * do not put comment line in tpl if comment could not be found
  * exiv2 from version 0.20 fives us utf-8 for exif user comment, handle this
  * pyexiv2 0.3 decodes for us, so directly return exif user comment
  * fix typo in cmd line help text
  * [patch 3/3] Modify the way the picture mess thumbnail is created I prefer this version over the previous one. IMO it makes the thumbnail smoother and cleaner.
  * [patch 2/3] Change the way thumbnails are pasted It seems that the way PIL is pasting RGBA image is a bit weird. Some people fall on the same issue: http://www.mail-archive.com/image-sig@python.org/msg03381.html But a solution exists: http://www.mail-archive.com/image-sig@python.org/msg03387.html
  * [patch 1/3] Make the invokation of eyecandy.py reusable It means that with this patch multiple invocations of eyecandy.py with same options and arguments will always produce same image (test.png). It makes eyecandy usable for test purpose. Futher patch for example...
  * fix orig-symlink option description
  * remove useless import
  * fix error reporting in tpl loading
  * make it possible to run all test suites with ./setup.py tests
  * add unit test for original symlink feature
  * make it possible to symlink original images
  * improve error message when size syntax is incorrect
  * fix skipped dirs which did not skip subdirs of skipped dirs
  * add test for skipped dirs test
  * update cz translation
  * add danish translation
  * add support for file metadata including image captions
  * set some default values for the album to be easier to construct
  * changelog gen script: remove tag entries and add devel version header
  * add .js files to dist MANIFEST
  * fix last version in changelog
  * Key navigation in gallery

Lazygal 0.5.2 (2010-09-16)
  * set version to 0.5.2
  * fix RSS feed item tpl loading which broke feed generation
  * update TODO

Lazygal 0.5.1 (2010-08-26)
  * set version to 0.5.1
  * another fix forPOTFILES list
  * add new input theme potfiles
  * simplify changelog gen script a bit using hg log templates
  * fix image-index theme
  * have missing theme files being searched in the default theme
  * fix metadata generation root path decoding
  * fix root path decoding
  * fix metadata generation error logging
  * fix failure with videos when a size for original pics is set
  * work around pygst bug that steals help command line swith as described in http://29a.ch/tags/pygst bug reported in Debian at http://bugs.debian.org/585926
  * improve debug output for tpl decoding errors
  * fix decoding of Exif.Image.ImageDescription and Iptc.Application2.ObjectName Thanks to Michal Čihař for the fix.
  * drop python < 2.5 support (as a consequence of Debian bug #588262)
  * the t template var trick has disapeared
  * fix camera model name retrieval with pyexiv2 0.2+
  * fix fr translation
  * fix changelog generation script which was showing the tip tag

Lazygal 0.5 (2010-06-15)
  * set version to 0.5
  * to not append hg revision if last commit is a tag
  * separate lazygal version and hg rev
  * add png files to theme data
  * retrieve hg rev from VCS if available
  * update manpages dates
  * update changelog generation script for mercurial
  * reprocess all source files if translated source file list has changed
  * update translated file list
  * update potfile
  * update french translation
  * update TODO
  * add some documentation for included templates
  * fix video ordering which messed up pic ordering
  * reset GStreamer pipeline when decoding has failed
  * update TODO
  * avoid using PIL for JPEG comment when pyexiv2 can do the job
  * fix typo in error msg
  * also generate web pages for videos (ogg/theora)
  * improve included tpls handling
  * describe high level mode of operation in manual page
  * more usefull debug output for template decoding errors
  * support new pyexiv2 0.2 API
  * fix some function names due to video preparation patch
  * always store file paths in unicode
  * bring dates in 2010
  * Read IPTC metadata
  * multi media support (preparation for video support)
  * improve broken img handling
  * probing EXIF data unconditionaly is indeed a perf problem
  * add a separate task for the breaking of galleries into multiple pages
  * fix issues with file make objs last built time
  * improve task output registering
  * only read EXIF info once per page
  * do not sort the galleries when nothing needs to be built
  * fix SubgalSort task according to recent refactoring
  * record FIXME in unicode path issue
  * fix typo in webgal dir cleanup
  * remove useless del im
  * do not keep EXIF data in memory, reread from file when needed (not that often)
  * no subgal count in feed item if no subgals
  * fix album picture path by always recording abs path
  * Fix typos
  * correctly initialize album name when generating default metadata
  * improve description of -m
  * fix the generating of default metadata
  * add a FIXME to the second implementation of the same alg
  * try to fix up the mess that comes from the confusion between a Directory and a WebalbumDir
  * better handling of broken image files
  * move webgalpic init out of index page init
  * some __doc__ enhancements
  * update TODO
  * fix sorting of pics in already generated webgals
  * simplify code by removing the LightWebgal
  * fix mixups in _last_built_time variable
  * improve SORTING task debug line
  * remove prepare() in make machinery
  * make the sorting of pictures in a gallery a separate task
  * remove useless regsiter_builder() stuff
  * add dirty script to set an EXIF comment, to be improved later
  * fix failure of directory metadata generation on dirs without pics
  * update homepage url
  * add subgal and image count on subgal links in default theme
  * flush out pipes after message print to make sure msg are displayed even when output is piped (ssh, less)
  * get rid of the "$t." prefix in templates
  * simplify a bit the file file cleanup code
  * fix code disalignement
  * fix presented elements computation when --thumbs-per-page is used with --flatten-below
  * split the now big generators.py file
  * return empty jpeg comment whenever field is missing from jpeg file for some reason
  * memory improvement: only automatically populate outputed items for make objects that produce files
  * force the cleanup of circular references by the gc after each dir
  * only set full featured webgal_dir object link if flattening below
  * light subdir is enough for other img link
  * fixed thumb links regression in index page
  * support for templates include and deps
  * Flatten directory structure below a certain depth
  * also include jpEg
  * add missing space in verbose output
  * fixed issue with dir cleanup wich showed up album dirs
  * comment typo
  * skip galleries whose name collide with shared material (e.g. CSS)
  * fixed gallery conf file not taken into account except for tpl vars
  * fixed output not in a pipe (less, ssh, etc) that raised a unicode decode error
  * automatically populate newsize definition plugins list
  * more control over image resize
  * bring dates in 2009
  * fix manpage installation

Lazygal 0.4.1 (2009-05-21)
  * set version to 0.4.1
  * update TODO
  * fixed typo in french translation
  * update french translation
  * bring MANIFEST.in up to date with current dist
  * urlencode dirzip urls
  * Make RESIZE translatable
  * Fix description of --subgal-sort-by
  * Czech translation update
  * POT update
  * fix parent link tpl var name in default theme
  * new cmdline option --orig-base (Debian Closes: #504039)
  * default theme: original link is not technical
  * do not build destgal if the dir has no photos, thus do not create empty webgal dir
  * do not capword in str_humanize
  * fix up typos in previous url_quote patch
  * no subgals for dirs with no photos
  * quote most urls in page links
  * do not break up filename and extension for directories
  * fix unicode error when source_dir has got non-ascii chars
  * remove useless sorting of subdir names before options are taken into account
  * allow subgal sorting and reverse sorting of pics and subgals
  * make webalbum browsable directly on filesystem
  * improve sorting when no EXIF data is available and give more sorting options
  * add progressive and optimize image saving options (thanks to Ian Zimmerman)
  * add missing default values in a config object (thanks to Ian Zimmerman)
  * handle EXIF flash values localized by some cameras
  * fix typo in french translation
  * generate manpage using docbook
  * %z in strftime hack for feed generation : add python issue link
  * -s now understands the special dimensions 0x0 which instructs not to resize for this size
  * useless typo fix in feed generator
  * make thumb size name a variable
  * Handle non-ascii dates

Lazygal 0.4 (2008-07-04)
  * set version to 0.4
  * output tpl gen date in current local to match i18n
  * use new out parameter in genshi templates generation (genshi >
  * add french translation
  * support for an additionnal config file in source_dir
  * do not output format not supported message twice
  * update TODO : better i18n in templates
  * add some translatable strings in the default theme
  * Initial czech translation.
  * Avoid two strings with different format chars.
  * revert previous patch and use lenient mode for variable lookup
  * i18n support for templates
  * Use defined() as it seems to be needed with genshi 0.5.0
  * remove version in manpage
  * fix typo in comment
  * add a comment about the usage of the 't' dict in templates
  * fix typo in exception raising
  * better encoding detection for album_description
  * allow xhtml tags in album_description
  * improve README a bit on template vars
  * compute utf-16 endianess from EXIF tag endianess (patch by Matthieu Castet)
  * fix typo in source dir does not exist error
  * fix unicode EXIF UserComment (thanks Matthieu Castet for the hint on endianess)
  * charset parsing is only for the UserComment EXIF field
  * strip useless space in exif strings
  * fallback to utf-8 for jpeg comments
  * better handling of decoding errors for EXIF commendings
  * handle charset decl with no text in EXIF comment
  * Readd lost zero
  * Better parsing of field
  * Better charset handling
  * Handle charset in EXIF comment
  * Handle old EXIF comment
  * Fix \0 in comment
  * add a white frame to webalbum pics which looks better
  * add an option to choose the webalbum picture color
  * TODO i18n in tpls
  * fix filename encoding issue during dest_dir cleanup checks
  * make genshi templates play better with unicode
  * TODO video and dirgalpic bg color
  * optional directory archive with original images for easy download
  * update-po script reorganization
  * i18n support for runtime messages
  * fix lazygal module * import
  * webalbum index pagination for big directories
  * remove useless Album constructor parameter
  * Another int conversion
  * Force int conversion

Lazygal 0.3.1 (2008-03-27)
  * set version to 0.3.1
  * add a script that builds a changelog from the darcs history
  * better description of touch instead of --check-all-dirs in man page
  * fix thumb alt in dirindex
  * fix thumb width/height not being outputed in dirindex
  * if dep needs build, target should be built
  * rebuild webalbumpic when pics get removed from dir
  * use static var instead of instance var for configurable webalbumpic fn

Lazygal 0.3 (2008-03-08)
  * set version to 0.3
  * sort subdirs for nice ordering when displayed
  * better and simplet title for index page
  * TODO abandon this item because the shell makes it really tricky to put complex stuff in tpl vars'
  * IndexPage now depends on subdir metadata
  * try to handle conffile tpl vars with non ascii chars
  * use subdir objects rather than dirnames to populate subgal links
  * make more use of _str_humanize()
  * webalbum pic should be a dep of webalbum dir instead of index page
  * skip VCS directories in album generation
  * do not fail on directory that contains no pictures
  * fix typo in tpl var name: s/zise/size/
  * do not display other size links if there is only one image size
  * Add missing template.
  * Support for new PyExiv2
  * update TODO
  * reorder Album methods a bit to have loging all in one place
  * themes mostly through CSS and new default style cmdline option
  * make the contents of the feed item a template
  * fix original link
  * allow template vars given on the cmdline to have differente encodings
  * fail if dest is in source tree
  * add webalbum picture to feed items
  * simple filedep should not be registered as output from the target
  * fix tpl file dep by normalizing DATAPATH
  * TODO Webalbumdir done another way
  * make feed use source dirs mtimes instead of generated dirs mtimes
  * share more code between LightWebalbumDir and WebalbumDir
  * maybe fix album_description generation which was broken by previous changes
  * play a bit with picture mess params to improve effect (making the thumbs larger)
  * TODO inheritence not possible between WebalbumDir et LightWebalbumDir
  * add reported bug to TODO
  * add a todo list to the project
  * shared file tpl must depend on template file
  * build some fancier album picture
  * use some extra_files list for dir cleanup
  * fix tpl shared files generation
  * walk source tree from deep to top to be able to reuse stuff processed in subdirs
  * move _add_size_qualifier() in album so that everybody gets it
  * Support for generating metadata files
  * More intelligent quotes stripping
  * use the new copy target for ImageOriginal
  * make shared files generation a make target

Lazygal 0.2 (2008-01-24)
  * bump version number
  * do not complain if elementtree is not here
  * advertise RSS feed in templates now that it seems to work
  * full RSS feed generation (not only processed directories)
  * add missing metadata dependency for index page
  * quote urls in feed for special characters
  * update copyright dates in licence headers
  * Optional lens information
  * Better model name generation
  * linux kernel compile like output, which is more readable
  * fix feed generation, sorting and maxitems
  * some tidying in album metadata to bring back guessed album pictures in index page
  * depending on prev/next for browse page should occure at prepare time
  * make sure that make targets are prepared only once
  * browse page should depend on directory in case of image deletion
  * fix indentation in previous patch
  * feed should not depend on skipped directories
  * do not load exif data in unprocessed directories
  * feed generation for new or updated galleries
  * construct template dependencies with full path
  * refactor metadata as a make target and refactor WebalbumDir attrs
  * fix browse page other size links
  * chain images only once for all
  * fix root index pages not being built
  * save initial mtime is only for WebalbumDir
  * split source tree classes in a separate module
  * externalize makefile logic into a separate module
  * fixes and improvements (themes, files and metadata) for manual page
  * Add man page
  * Avoid failure if running outside darcs tree
  * fix unencoded utf-8 in check dest for junk
  * Add footer option to template
  * Improve template variables support
  * warn about manually removing ungenerated directories in dest
  * Allow to include original pictures in generated album

Lazygal 0.1 (2007-10-26)
  * bump version number
  * make default theme CSS be intepreted by template engine and escape #
  * Make default theme accepts same template vars.
  * Add some more template variables.
  * template-vars can be configured from config file.
  * Use interpreted flash value instead of raw number.
  * fix album subpicture link containing a dot in name
  * handle tag Exif.Photo.FocalPlaneResolutionUnit no set
  * make shared stuff logging more accurate with what happens
  * example of CSS with tpl vars in image-index theme
  * pass tpl vars on the cmdline
  * shared files templates
  * Improve exposure display.
  * added lazygal section to default config options
  * Avoid multiple conversion of float values.
  * Move config to ~/.lazygal directory, we already use it for themes.
  * Improve 35 mm equivalent calculation.
  * Move image name bellow comment.
  * Use 35 mm equivalent from EXIF if available
  * Use same format for 35 mm equivalent as for normal focal length
  * Handle if we want int value as float
  * Fix FIXMEs :-).
  * Fix handling of images without EXIF.
  * Do not break vim modeline by end of comment.
  * Use format string instead of contatenation.
  * Configuration file support.
  * Make CSS valid.
  * do not complain about album metadata not being a supported format
  * EXIF backend changed to exiv2
  * remove duplicated get_date_taken() method
  * make sur exif data is loaded before using it
  * improve output and add --quiet and --debug options
  * make image-index theme more XHML valid regarding subgal links
  * remove unused variable
  * put rotation calculation in ExifTags
  * get exif date selection in ExifTags
  * correctly load utf-8 from album metadata
  * catch bogus EXIF focal plane x res
  * get exif and metadata stuff in a separate file
  * rename lazygal/lazygal.py to lazygal/generators.py
  * Mention homepage in README
  * Create whole path for album if it does not exist
  * Make setup.py sdist work
  * Try to use EXIF date when available
  * Actually use parameter
  * Generic EXIF date parsing method
  * also increase default JPEG quality in alum class
  * Increase default JPEG quality
  * JPEG quality is now configurable
  * Display gallery index in more columns on wider screens
  * Fix typo in help
  * Fix typo
  * Update meta data code
  * Implelement guessing of album picture
  * Rearrange metadata acquision
  * Rearrange functions to group same
  * Add some documentation
  * Improve vendor/model detection
  * fix get_last_version which did not work when patches had a long comment
  * do not advice to remove shared dir
  * try to fix filesystem encoding issues
  * make FileImage constructor use dir object
  * Better detect duplicate information in vendor/model fields
  * Include sensitivity info
  * Allow {upper,mixed}-case extensions
  * Include version in footer
  * Sync image-index theme with default
  * append some kind of darcs revision to version if available
  * make lazygal version available in templates
  * Include time zone in date
  * Fix alternate text for image
  * Show verbose album name if available
  * Improve albums listing in image-index theme
  * Update mage-index style to make it look a bit better
  * Add image-index theme as copy of default
  * Convert album picture path to allow it's usage
  * Add some readme, mostly to document meta data
  * metadata support for subdirs
  * initial album metadata support
  * added generation date to templates
  * remove final link separator in other sizes links
  * no other size link on currently selected size
  * Add version to lazygal module
  * add missing __init__.py file for new lazygal module
  * Allow user defined themes
  * Prefer local themes
  * Install themes
  * Rename Lazygal module to lazygal
  * Rename script to avoid name conflict with module
  * Add distutils support
  * Configurable thumbnail size
  * These sould be integers
  * Configurable image sizes
  * Use format strings
  * Fix typo
  * Handle zero source mtime
  * enhanced-exif-support
  * work-on-empty-dir
  * whitespace-cleanup
  * use genshi for templates
  * force update of dest dir mtime
  * get rel_root into browse page template
  * save dest dir mtime because it is updated during lazygal's operation
  * always generate browse page if directory has changed, because files may have been deleted
  * added licence clauses (GPL v2)
  * rotate before thunbail in order to have consistent sizes accross gallery
  * added --check-all-dirs option to force lazygal to check all dirs
  * add --clean_destination option to clean deleted photos in destination
  * fix stupid angle error in orientation rotation
  * skip whole directories according to mtime
  * basic auto orientation according to EXIF data
  * copy shared files before generating galleries
  * compute a title for the root directory page
  * sort subgal links
  * handle cases where EXIF date is not available or does not make sense
  * dest is only relevant for directories
  * other sizes links on every page
  * add lazygal website link in default template
  * make File, Directory and ImageFile more object oriented
  * test for source dir to exist
  * fix prev link search
  * remove superfluous print
  * sort by EXIF date
  * rename image_processor for it to be shorter
  * fix css not found
  * inital import, it works!
